Class | Rack::Static
In: | lib/action_controller/vendor/rack-1.0/rack/static.rb
Parent: | Object

The Rack::Static middleware intercepts requests for static files (javascript files, images, stylesheets, etc) based on the url prefixes passed in the options, and serves them using a Rack::File object. This allows a Rack stack to serve both static and dynamic content.

Examples:

        use Rack::Static, :urls => ["/media"]
        will serve all requests beginning with /media from the "media" folder
        located in the current directory (ie media/*).

        use Rack::Static, :urls => ["/css", "/images"], :root => "public"
        will serve all requests beginning with /css or /images from the folder
        "public" in the current directory (ie public/css/* and public/images/*)

### Methods

call new

### Public Class methods

new(app, options={})

### Public Instance methods

call(env)

[Validate]